Skip to main content
GET
/
v0
/
contracts
List contracts
curl --request GET \
  --url https://api.formo.so/v0/contracts \
  --header 'Authorization: Bearer <token>'
{
  "isSuccess": true,
  "data": {
    "contracts": [
      {
        "name": "<string>",
        "chain": 123,
        "address": "<string>",
        "abi": "<string>",
        "events": [
          {
            "anonymous": true,
            "inputs": [
              {}
            ],
            "name": "<string>",
            "type": "<string>"
          }
        ],
        "start_block": 123
      }
    ],
    "deployAt": "2023-11-07T05:31:56Z",
    "deployDiff": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Response

200 - application/json

Contracts with deployment diff info

isSuccess
boolean
data
object